org.apache.poi.ss.usermodel

## Enum ConditionalFormattingThreshold.RangeType

- java.lang.Object
- - java.lang.Enum<ConditionalFormattingThreshold.RangeType>
  - - org.apache.poi.ss.usermodel.ConditionalFormattingThreshold.RangeType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ConditionalFormattingThreshold.RangeType>
  Enclosing interface:
    ConditionalFormattingThreshold

      public static enum ConditionalFormattingThreshold.RangeType
      extends java.lang.Enum<ConditionalFormattingThreshold.RangeType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FORMULA` Formula result
    `MAX` The maximum value from the range
    `MIN` The minimum value from the range
    `NUMBER` Number / Parameter
    `PERCENT` Percent of the way from the mi to the max value in the range
    `PERCENTILE` The minimum value of the cell that is in X percentile of the range
    `UNALLOCATED`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `id` Numeric ID of the type
    `java.lang.String` | `name` Name (system) of the type

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ConditionalFormattingThreshold.RangeType` | `byId(int id)`
    `static ConditionalFormattingThreshold.RangeType` | `byName(java.lang.String name)`
    `java.lang.String` | `toString()`
    `static ConditionalFormattingThreshold.RangeType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ConditionalFormattingThreshold.RangeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NUMBER

          public static final ConditionalFormattingThreshold.RangeType NUMBER

      Number / Parameter

    - #### MIN

          public static final ConditionalFormattingThreshold.RangeType MIN

      The minimum value from the range

    - #### MAX

          public static final ConditionalFormattingThreshold.RangeType MAX

      The maximum value from the range

    - #### PERCENT

          public static final ConditionalFormattingThreshold.RangeType PERCENT

      Percent of the way from the mi to the max value in the range

    - #### PERCENTILE

          public static final ConditionalFormattingThreshold.RangeType PERCENTILE

      The minimum value of the cell that is in X percentile of the range

    - #### UNALLOCATED

          public static final ConditionalFormattingThreshold.RangeType UNALLOCATED

    - #### FORMULA

          public static final ConditionalFormattingThreshold.RangeType FORMULA

      Formula result

  - ### Field Detail

    - #### id

          public final int id

      Numeric ID of the type

    - #### name

          public final java.lang.String name

      Name (system) of the type

  - ### Method Detail

    - #### values

          public static ConditionalFormattingThreshold.RangeType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConditionalFormattingThreshold.RangeType c : ConditionalFormattingThreshold.RangeType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConditionalFormattingThreshold.RangeType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<ConditionalFormattingThreshold.RangeType>`

    - #### byId

          public static ConditionalFormattingThreshold.RangeType byId(int id)

    - #### byName

          public static ConditionalFormattingThreshold.RangeType byName(java.lang.String name)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.